Tags
For authentication instructions, see API overview.
Endpoints
get
List all tags
Returns a list of tags. The tags are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/tagsResponse
No response schemapost
Create tags
Create tags. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
namestringactivebooleandefaultboolean
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/tags \ -d 'name="string"' \ -d 'active="boolean"' \ -d 'default="boolean"'